com.microfocus.awm.meta.interfaces

## Enum EInvokeForms

- java.lang.Object
- - java.lang.Enum<EInvokeForms>
  - - com.microfocus.awm.meta.interfaces.EInvokeForms

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EInvokeForms>, org.eclipse.emf.common.util.Enumerator

      public enum EInvokeForms
      extends java.lang.Enum<EInvokeForms>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration for the invocation form of an ISPF command tool: REXX, CMD, PGM
  See Also:
    `TaurusPackage.getEInvokeForms()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CMD` The 'CMD' literal object.
    `PGM` The 'PGM' literal object.
    `REXX` The 'REXX' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CMD_VALUE` The 'CMD' literal value.
    `static int` | `PGM_VALUE` The 'PGM' literal value.
    `static int` | `REXX_VALUE` The 'REXX' literal value.
    `static java.util.List<EInvokeForms>` | `VALUES` A public read-only list of all the 'EInvoke Forms' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EInvokeForms` | `get(int value)` Returns the 'EInvoke Forms' literal with the specified integer value.
    `static EInvokeForms` | `get(java.lang.String literal)` Returns the 'EInvoke Forms' literal with the specified literal value.
    `static EInvokeForms` | `getByName(java.lang.String name)` Returns the 'EInvoke Forms' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static EInvokeForms` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EInvokeForms[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REXX

          public static final EInvokeForms REXX

      The 'REXX' literal object.
      See Also:
        `REXX_VALUE`

    - #### CMD

          public static final EInvokeForms CMD

      The 'CMD' literal object.
      See Also:
        `CMD_VALUE`

    - #### PGM

          public static final EInvokeForms PGM

      The 'PGM' literal object.
      See Also:
        `PGM_VALUE`

  - ### Field Detail

    - #### REXX_VALUE

          public static final int REXX_VALUE

      The 'REXX' literal value.
      See Also:
        `REXX`, Constant Field Values

    - #### CMD_VALUE

          public static final int CMD_VALUE

      The 'CMD' literal value.
      See Also:
        `CMD`, Constant Field Values

    - #### PGM_VALUE

          public static final int PGM_VALUE

      The 'PGM' literal value.
      See Also:
        `PGM`, Constant Field Values

    - #### VALUES

          public static final java.util.List<EInvokeForms> VALUES

      A public read-only list of all the 'EInvoke Forms' enumerators.

  - ### Method Detail

    - #### values

          public static EInvokeForms[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EInvokeForms c : EInvokeForms.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EInvokeForms valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static EInvokeForms get(java.lang.String literal)

      Returns the 'EInvoke Forms' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static EInvokeForms getByName(java.lang.String name)

      Returns the 'EInvoke Forms' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static EInvokeForms get(int value)

      Returns the 'EInvoke Forms' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<EInvokeForms>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.